Package com.ocient.rest.resources

# Class MetricsResource

java.lang.Object
com.ocient.rest.resources.MetricsResource

    @Path("v1")
    public class MetricsResource
    extends Object

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MetricsResource()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`MetricsResponse` | `getAll()` | Get all available metrics

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MetricsResource

public MetricsResource()

## Method Details

### getAll

@GET @Path("/stats") @Produces("application/json") public MetricsResponse getAll()
Get all available metrics